package com.ruoyi.common.enums;

/**
 * 业务操作类型
 *
 * @author ruoyi
 */
public enum BusinessType
{
    /**
     * 其它
     */
    OTHER,

    /**
     * 新增
     */
    INSERT,

    /**
     * 修改
     */
    UPDATE,

    /**
     * 删除
     */
    DELETE,

    /**
     * 授权
     */
    GRANT,

    /**
     * 导出
     */
    EXPORT,

    /**
     * 导入
     */
    IMPORT,

    /**
     * 强退
     */
    FORCE,

    /**
     * 生成代码
     */
    GENCODE,

    /**
     * 清空数据
     */
    CLEAN,

    /**
     * 开锁
     */
    UNLOCKING,

    /**
     * 改价
     */
    EDITPRICE,

    /**
     * 退款
     */
    REFUND,

    /**
     * 押金抵扣
     */
    DEDUCTION,

    /**
     * 还车审核通过
     */
    PASSAUDIT,

    /**
     * 车辆有损坏
     */
    DAMAGED,

    /**
     * 提交审核
     */
    SUBMITAUDIT,

    /**
     * 还车审核通过
     */
    AUTHORITYPASS,
    /**
     * 提现
     */
    WITHDRAW,
    /**
     * 管理员提现
     */
    ADMINWITHDRAW,

    /**
     * 预约
     */
    APPOINTMENT,
    /**
     * 取消预约
     */
    CANCEL_APPOINTMENT,
    /**
     * 还车
     */
    RETURN_VEHICLE,
    /**
     * 临时锁车
     */
    LOCK,
    /**
     * 临时解锁
     */
    UNLOCK,
    /**
     * 车辆上线
     */
    ONLINE,

    /**
     * 更新设备
     */
    REFRESH,

    /**
     * 车辆下线
     */
    OFFLINE,
    /**
     * 禁用
     */
    DISABLE,
    /**
     * 解禁
     */
    ENABLE,
    /**
     * 维修处理
     */
    REPAIR,
    /**
     * 出仓
     */
    STASH,
    /**
     * 保存视频
     */
    VIDEO,
    /**
     * 取消锁单
     */
    UNLOCKORDER,
    /**
     * 重启设备
     */
    REBOOT,

    /**
     * 根据经纬度判断是否在停车区
     */
    ISINPARKING,

    /**
     * 绑定
     */
    BAND,

    /**
     * 根据mac修改sn
     */
    UPDATESN,
    /**
     * 实名认证
     */
    AUTHENTICATION,

    /**
     * 换车关锁
     */
    CHANGELOCK,

    /**
     * 换车开锁
     */
    CHANGEUNLOCK,

    /**
     * 绑定系统用户
     */
    BANDSYSUSER,

    /**
     * 解绑系统用户
     */
    UNBANDSYSUSER,
}
