package com.ruoyi.system.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 资金流水对象 et_capital_flow
 *
 * @author 邱贞招
 * @date 2024-05-24
 */
@Data
public class EtCapitalFlow extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 流水id */
    private Long flowId;

    /** 区域 */
    @Excel(name = "区域")
    private Long areaId;

    @Excel(name = "区域名称")
    private String areaName;

    @Excel(name = "所属人id")
    private String owner;

    @Excel(name = "所属人")
    private Long ownerId;

    @Excel(name = "所属人类型")
    private String ownerType;

    /** 关联订单号 */
    @Excel(name = "关联订单号")
    private String orderNo;

    /** 第三方交易单号 */
    @Excel(name = "第三方交易单号")
    private String outTradeNo;

    /** 收支类型 */
    @Excel(name = "收支类型")
    private String type;

    /** 业务类型 */
    @Excel(name = "业务类型")
    private String busType;

    /** 交易金额 */
    @Excel(name = "交易金额")
    private BigDecimal amount;

    /** 手续费 */
    @Excel(name = "手续费")
    private BigDecimal handlingCharge;

    /** 平台服务费 */
    @Excel(name = "平台服务费")
    private BigDecimal platformServiceFee;

    /** 运营商分账 */
    @Excel(name = "运营商分账")
    private BigDecimal operatorDividend;

    /** 运营商结余 */
    @Excel(name = "运营商结余")
    private BigDecimal operatorBalance;

    /** 合伙人分账 */
    @Excel(name = "合伙人分账")
    private BigDecimal partnerDividend;

    /** 支付方式 */
    @Excel(name = "支付方式")
    private String payType;

    /** 状态： 0-待结算，2-驳回,8-已完成 */
    @Excel(name = "状态： 0-待结算，2-驳回,8-已完成")
    private String status;

    /** 业务类型列表   */
    @TableField(exist = false)
    private String[] typeList;

    /** 型号id   */
    private Long modelId;

    /** 型号   */
    @TableField(exist = false)
    private String model;

}
