package com.ruoyi.system.domain;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 优惠券对象 et_coupon
 *
 * @author 邱贞招
 * @date 2024-08-05
 */
@Data
public class EtCoupon extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 优惠券id */
    private Long couponId;

    /** 名称 */
    private String name;

    /** 类型 */
    @Excel(name = "类型")
    private String type;

    /** 折扣比例 */
    @Excel(name = "折扣比例")
    private BigDecimal discountPercent;

    /** 区域 */
    @Excel(name = "区域")
    private Long areaId;

    /** 区域名称 */
    @Excel(name = "区域名称")
    private String areaName;

    /** 用户 */
    @Excel(name = "用户")
    private Long userId;

    /** 用户名 */
    @Excel(name = "用户名")
    private String userName;

    /** 抵扣金额 */
    @Excel(name = "抵扣金额")
    private BigDecimal discountAmount;

    /** 状态 */
    @Excel(name = "状态")
    private String status;

    /** 限制次数: 0无限制 */
    @Excel(name = "限制次数:0无限制")
    private String limitNum;

    /** 描述 */
    @Excel(name = "描述")
    private String descr;

    /** 零售价 */
    @Excel(name = "零售价")
    private BigDecimal retailPrice;

    /** 原价 */
    @Excel(name = "原价")
    private String originalPrice;

    /** 有效期值 */
    @Excel(name = "有效期值")
    private Integer validityValue;

    /** 有效期单位 */
    @Excel(name = "有效期单位")
    private String validityUnit;

    /** 类型列表 */
    private String[] typeList;

    /** 是否热门：0-非热门；1-热门 */
    private String isHot;
}
