package com.ruoyi.system.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 我的优惠券对象 et_coupon_user_log
 *
 * @author qzz
 * @date 2024-08-08
 */
@Data
public class EtCouponUserLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 日志id */
    private Long logId;

    /** 区域 */
    @Excel(name = "区域")
    private Long areaId;

    /** 区域名称 */
    @Excel(name = "区域名称")
    private String areaName;

    /** 用户 */
    @Excel(name = "用户")
    private Long userId;

    /** 用户名 */
    @Excel(name = "用户名")
    private String userName;

    /** 优惠券 */
    @Excel(name = "优惠券")
    private Long couponId;

    /** 优惠券类型 */
    @Excel(name = "优惠券类型")
    private String couponType;

    /** 优惠券名称 */
    @Excel(name = "优惠券名称")
    private String couponName;

    /** 有效期值 */
    @Excel(name = "有效期值")
    private Integer validityValue;

    /** 有效期单位 */
    @Excel(name = "有效期单位")
    private String validityUnit;

    @Excel(name = "类型列表")
    private String[] typeList;

    /** 零售价 */
    @Excel(name = "零售价")
    private BigDecimal retailPrice;

    /** 获取方式：claim-领取；buy-购买；issue-下发 */
    @Excel(name = "获取方式：claim-领取；buy-购买；issue-下发")
    private String gainMethod;

    /** 状态 */
    @Excel(name = "状态")
    private String status;

    /** 状态列表   */
    @TableField(exist = false)
    private String[] statusList;

    /** 有效时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "有效时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date expirationTime;

    /** 可使用次数：0-无限制；其他数字直接显示次数 */
    @Excel(name = "可使用次数")
    private int limitNum;

}
