package com.ruoyi.system.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;

import java.util.List;

/**
 * 故障上报对象 et_fault
 *
 * @author 邱贞招
 * @date 2024-04-06
 */
@Data
public class EtFault extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 保修id */
    private Long faultId;

    /** 用户ID */
    @Excel(name = "用户ID")
    private Long userId;

    /** 区域id */
    @Excel(name = "区域id")
    private Long areaId;

    /** 用户名称 */
    @Excel(name = "用户名称")
    private String userName;

    /** 故障类型 */
    @Excel(name = "故障类型")
    private String type;

    /** 故障类型(多个) */
    @Excel(name = "故障类型(多个)")
    private List<String> types;

    /** 故障类型Str */
    @Excel(name = "故障类型Str")
    private String typeStr;

    /** 保修图片 */
    @Excel(name = "保修图片")
    private String picture;

    /** 订单id */
    @Excel(name = "订单id")
    private Long orderId;

    /** 订单号 */
    @Excel(name = "订单号")
    private String orderNo;

    /** 报修进度 */
    @Excel(name = "报修进度")
    private String status;

    /** 故障详情 */
    @Excel(name = "故障详情")
    private String detail;

    /** 设备mac */
    @Excel(name = "设备mac")
    private String deviceMac;

    /** 设备sn */
    @Excel(name = "设备sn")
    private String sn;

    @Excel(name = "地址")
    private String address;

}
