package com.ruoyi.system.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import com.ruoyi.common.core.domain.entity.AsArticleClassify;
import lombok.Data;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

/**
 * 硬件版本对象 et_hardware_version
 *
 * @author qiuzhenzhao
 * @date 2024-07-22
 */
@Data
public class EtHardwareVersion extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 版本号 */
    @Excel(name = "版本号")
    private String version;

    /** 父分类ID */
    private Long parentId;

    /** 祖级列表 */
    private String ancestors;

    /** 生产时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "生产时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date productionTime;

    /** 数量 */
    @Excel(name = "数量")
    private Integer quantity;

    /** 未录入 */
    @Excel(name = "未录入")
    private Integer notEnteredNum;

    /** 已录入 */
    @Excel(name = "已录入")
    private Integer entered;

    /** 已绑定 */
    @Excel(name = "已绑定")
    private Integer bound;

    /** 未绑定 */
    @Excel(name = "未绑定")
    private Integer unBound;

    /** 丢损 */
    @Excel(name = "丢损")
    private Integer lost;

    /** 版本说明 */
    @Excel(name = "版本说明")
    private String instructions;

    /** 数量统计 备注 */
    @Excel(name = "备注")
    private String remark;

    /** 子版本 */
    private List<EtHardwareVersion> children = new ArrayList<EtHardwareVersion>();

//    /** 总已录入 */
//    @Excel(name = "总已录入")
//    private Integer totalEntered;
}
