package com.ruoyi.system.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;

import java.util.List;

/**
 * 车辆型号对象 et_model
 *
 * @author 邱贞招
 * @date 2024-05-13
 */
@Data
public class EtModel extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long modelId;

    /** 车型 */
    @Excel(name = "车型")
    private String model;

    /** 品牌商 */
    @Excel(name = "品牌商")
    private String brand;

    /** 运营商id */
    @Excel(name = "运营商id")
    private Long operator;

    /** 运营商 */
    @Excel(name = "运营商")
    private String operatorName;

    /** 满电电压 */
    @Excel(name = "满电电压")
    private Double fullVoltage;

    /** 亏电电压 */
    @Excel(name = "亏电电压")
    private Double lowVoltage;

    /** 满电续航 */
    @Excel(name = "满电续航")
    private Integer fullEndurance;

    /** 骑行低电量提醒 */
    @Excel(name = "骑行低电量提醒")
    private Integer lowBatteryReminder;

    /** 已投放车辆数 */
    private Integer deviceNum;

    @Excel(name = "运营区列表")
    private List<EtOperatingArea> areaList;

}
