package com.ruoyi.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntityPlus;
import com.ruoyi.common.mybatis.MyGeometryTypeHandler;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 运营区对象 et_operating_area
 *
 * @author 邱贞招
 * @date 2024-04-06
 */
@Data
@TableName(value = "et_operating_area")
public class EtOperatingArea extends BaseEntityPlus implements Serializable
{
    private static final long serialVersionUID = 1L;

    /** 区域id */
    @TableId(value = "area_id", type = IdType.AUTO)
    private Long areaId;

    /** 运营商id */
    @TableField(exist = false)
    private Long deptId;

    /** 运营商 */
    @TableField(exist = false)
    private String deptName;

    /** 区域名称 */
    @Excel(name = "区域名称")
    private String areaName;

    /** 边界 */
    @Excel(name = "边界")
    @TableField(typeHandler = MyGeometryTypeHandler.class)
    private String boundary;

    /** 边界json */
    @Excel(name = "边界json")
//    @TableField(exist = false)
    private String boundaryStr;

    /** 图片 */
    @Excel(name = "图片")
    private String picture;

    /** 经度 */
    @Excel(name = "经度")
    private String longitude;

    /** 纬度 */
    @Excel(name = "纬度")
    private String latitude;

    /** 创建者 */
    private String createBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 车辆数量 */
    @TableField(exist = false)
    private Integer deviceNum;

    /** 收费方式 */
    @TableField(exist = false)
    private Long[] ruleIds;

    /** 收费方式描述 */
    @TableField(exist = false)
    private String ruleStr;

    /** 联系人 */
    @Excel(name = "contact")
    private String contact;

    /** 联系电话 */
    @Excel(name = "联系电话")
    private String phone;

    /** 运营区状态：1-运营中；2-停运 */
    @Excel(name = "运营区状态：1-运营中；2-停运")
    private String status;

    /** 运营时间:1-全天；2-自定义 */
    @Excel(name = "运营时间:1-全天；2-自定义")
    private String areaTime;

    /** 自定义开始运营时间 */
    @Excel(name = "自定义开始运营时间")
    private String areaTimeStart;

    /** 自定义结束运营时间 */
    @Excel(name = "自定义结束运营时间")
    private String areaTimeEnd;

    /** 客服电话 */
    @Excel(name = "客服电话")
    private String servicePhone;

    /** 客服1 */
    @Excel(name = "客服1")
    private String serviceName1;

    /** 客服电话1 */
    @Excel(name = "客服电话1")
    private String servicePhone1;

    /** 客服2 */
    @Excel(name = "客服2")
    private String serviceName2;

    /** 客服电话2 */
    @Excel(name = "客服电话2")
    private String servicePhone2;

    /** 客服3 */
    @Excel(name = "客服3")
    private String serviceName3;

    /** 客服电话3 */
    @Excel(name = "客服电话3")
    private String servicePhone3;

    /** 是否自定义客服 */
    @Excel(name = "是否自定义客服")
    private String customService;

    /** 运营个性化标语 */
    @Excel(name = "运营个性化标语")
    private String slogan;

    @Excel(name = "省")
    private String province;

    @Excel(name = "市")
    private String city;

    @Excel(name = "区")
    private String county;

    /** 运营区域外断电：0-关闭；1-开启 */
    @Excel(name = "运营区域外断电")
    private String areaOutOutage;

    @Excel(name = "停车点外还车调度")
    private String parkingOutDispatch;

    @Excel(name = "电子围栏外还车调度")
    private String areaOutDispatch;

    /** 禁行区内断电:0-关闭；1-开启 */
    @Excel(name = "禁行区内断电")
    private String noRidingOutage;

    @Excel(name = "实名认证:0-关闭；1-开启")
    private String authentication;

    @Excel(name = "短信通知服务")
    private String msgSwitch;

    @Excel(name = "低于电量（%）不得骑行")
    private String undercharge;

    @Excel(name = "还车误差")
    private Integer error;

    @Excel(name = "安全协议")
    private String agreement;

    @Excel(name = "押金")
    private String deposit;

    @Excel(name = "超出电子围栏多少时长断电(s)")
    private Integer outage;

    /** 预约服务费 */
    private BigDecimal appointmentServiceFee;

    /** 调度费 */
    private BigDecimal dispatchFee;

    /** 停车点外调度费*/
    private BigDecimal vehicleManagementFee;

    /** 预约超时保留分钟*/
    private Integer timeoutMinutes;

    /** 电量低于多少值自动生成换电订单*/
    private Integer autoReplacementOrder;


    /** 停车点还车：0-关闭；1-开启*/
    private String parkingReturn;

    /** 运营区外还车：0-关闭；1-开启*/
    private String areaOutReturn;

    /** 是否开启押金抵扣：0-否；1-是 */
    private String isDepositDeduction;

    /** 还车是否拍照审核：0-否；1-是 */
    private String returnVerify;

    /** 右上角坐标*/
    private String upperRight;

    /** 左下角坐标*/
    private String lowerLeft;

    /** 图片路径*/
    private String guideMap;

    /** 导览开关*/
    private String guideSwitch;

    /** 停车区数*/
    @TableField(exist = false)
    private Integer parkingAreaNum;

    /** 禁停区数*/
    @TableField(exist = false)
    private Integer noParkingAreaNum;

    /** 禁停区数*/
    @TableField(exist = false)
    private Integer bannedRidingAreaNum;
}
