package com.ruoyi.system.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.mybatis.MyGeometryTypeHandler;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.io.Serializable;
import java.util.Date;

/**
 * 停车区对象 et_parking_area
 *
 * @author 邱贞招
 * @date 2024-04-08
 */
@Data
@TableName(value = "et_parking_area")
public class EtParkingArea implements Serializable
{
    private static final long serialVersionUID = 1L;

    /** 停车区id */
    @TableId(value = "parking_id", type = IdType.AUTO)
    private Long parkingId;

    /** 停车区名称 */
    @Excel(name = "停车区名称")
    private String parkingName;

    /** 类型：1. 停车区；2-禁停区；3-禁行区 */
    @Excel(name = "类型：1. 停车区；2-禁停区；3-禁行区")
    private String type;

    /** 区域 */
    @Excel(name = "区域")
    private Long areaId;

    /** 边界 */
    @Excel(name = "边界")
    @TableField(typeHandler = MyGeometryTypeHandler.class)
    private String boundary;

    /** 边界json */
    @Excel(name = "边界json")
    private String boundaryStr;

    @Excel(name = "还车误差")
    private Integer error;

    /** 经度 */
    private String longitude;

    /** 纬度 */
    private String latitude;

    /** 照片 */
    private String picture;

    /** 备注 */
    private String remark;

    /** 创建者 */
    private String createBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date createTime;

    /** 分类状态:0正常,1停用 */
    private String status;

}
