package com.ruoyi.system.domain;

import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 换电工单对象 et_power_replacement
 *
 * @author 邱贞招
 * @date 2024-04-28
 */
@Data
public class EtPowerReplacement extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 工单编号 */
    @Excel(name = "工单编号")
    private String orderNo;

    /** 设备mac */
    @Excel(name = "设备mac")
    private String deviceMac;

    /** 运维人员id */
    @Excel(name = "运维人员id")
    private Long adminId;

    /** 运维人员 */
    @Excel(name = "运维人员")
    private String adminName;

    /** 换电前电量 */
    @Excel(name = "换电前电量")
    private Integer beforeElectric;

    /** 换电后电量 */
    @Excel(name = "换电后电量")
    private Integer afterElectric;

    /** 开电池仓时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "开电池仓时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date openTime;

    /** 关电池仓时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "关电池仓时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date closeTime;

    /** 状态 */
    @Excel(name = "状态")
    private String status;

    /** 是否成功 */
    @Excel(name = "是否成功")
    private String isSuccess;

    /** 是否有效 */
    @Excel(name = "是否有效")
    private String isEffective;

    /** 经度 */
    @Excel(name = "经度")
    @TableField(exist = false)
    private String longitude;

    /** 纬度 */
    @Excel(name = "纬度")
    @TableField(exist = false)
    private String latitude;

}
