package com.ruoyi.system.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 退款订单对象 et_refund
 *
 * @author 邱贞招
 * @date 2024-05-10
 */
@Data
public class EtRefund extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 退款单号 */
    @Excel(name = "退款单号")
    private String refundNo;

    /** 关联订单 */
    @Excel(name = "关联订单")
    private String orderNo;

    /** 用户ID */
    @Excel(name = "用户ID")
    private Long userId;

    /** 用户 */
    @Excel(name = "用户")
    private String userName;

    /** 运营区id */
    @Excel(name = "运营区id")
    private Long areaId;

    /** 运营区 */
    @Excel(name = "运营区")
    private String areaName;

    /** 退款金额 */
    @Excel(name = "退款金额")
    private BigDecimal amount;

    /** 调度费 */
    private BigDecimal dispatchFee;

    /** 停车点外调度费 */
    private BigDecimal manageFee;

    /** 骑行费 */
    private BigDecimal ridingFee;

    /** 预约费 */
    private BigDecimal appointmentFee;

    /** 退款原因 */
    @Excel(name = "退款原因")
    private String reason;

    /** 退款项目说明 */
    @Excel(name = "退款项目说明")
    private String itemDesc;

    /** 退款结果（回调） */
    @Excel(name = "退款结果（回调）")
    private String refundResult;

    /** 退款类型 */
    @Excel(name = "退款类型")
    private String type;

}
