package com.ruoyi.system.domain.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * 支付附加对象

 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="AttachVo对象", description="支付附加对象")
public class AttachVo {

    public AttachVo() {
    }

    public AttachVo(String type, Long userId, String token) {
        this.type = type;
        this.userId = userId;
        this.token = token;
    }

    @ApiModelProperty(value = "支付场景： 1-骑行支付,2-取消预约支付,3-套餐支付,4-押金支付 ", required = true)
    private String type;

    @ApiModelProperty(value = "用户id", required = true)
    private Long userId;

    /** 是否预约：套餐支付时使用 */
    private Boolean isAppointment;

    /** token 用于清除用户缓存信息 */
    public String token;

}
