package com.ruoyi.system.domain.vo;

import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * 首页统计响应
 *
 * @author 邱贞招
 * @date 2024-05-09
 */
@Data
public class IndexAdminVo {

    /** 运营商数 */
    private Integer operatorCount=0;
    /** 独立小程序 */
    private Integer appCount=0;

    /** 商户总余额 */
    private BigDecimal totalBalance = BigDecimal.ZERO;
    /** 已提现金额 */
    private BigDecimal withdrawn = BigDecimal.ZERO;

    /** 运营区数 */
    private Integer areaCount=0;

    /** 车辆型号数 */
    private Integer modelCount=0;

    /** 用户总数 */
    private Integer userCount=0;
    /** 今日新增 */
    private Integer todayUserCount=0;

    /** 今日订单数 */
    private Integer todayOrderCount=0;
    /** 总订单数 */
    private Integer totalOrderCount=0;

    /** 今日订单金额 */
    private BigDecimal todayOrderFee= BigDecimal.ZERO;
    /** 订单总金额 */
    private BigDecimal totalOrderFee= BigDecimal.ZERO;

    /** 今日退款金额 */
    private BigDecimal todayRefundFee= BigDecimal.ZERO;
    /** 总退款金额 */
    private BigDecimal totalRefundFee= BigDecimal.ZERO;

    /** 待付款订单金额 */
    private BigDecimal unpaidOrderFee= BigDecimal.ZERO;
    /** 待付款订单数 */
    private Integer unpaidOrderCount=0;

    /** 待审核还车押金扣款 */
    private BigDecimal returnOrderDeductFee= BigDecimal.ZERO;
    /** 还车待审核订单数 */
    private Integer returnOrderCount=0;

    /** 今日支付手续费 */
    private BigDecimal todayHandlingFee= BigDecimal.ZERO;
    /** 总支付手续费 */
    private BigDecimal totalHandlingFee= BigDecimal.ZERO;

    /** 今日服务费 */
    private BigDecimal todayServiceFee= BigDecimal.ZERO;
    /** 总服务费 */
    private BigDecimal totalServiceFee= BigDecimal.ZERO;

    /** 车辆统计 */
    private VehicleVo vehicleVo;

    /** 运维统计 */
    private OperationVo operationVo;

    /** 收入统计list */
    private List<IncomeVo> incomeVoList;

    /**
     * 营收统计  incomeVo
     */
    @Data
    public static class IncomeVo {
        /** 日期 */
        private String day;
        /** 订单金额 */
        private BigDecimal orderFee;
        /** 订单数 */
        private Integer orderNum;
    }

    /**
     * 车辆统计
     */
    @Data
    public static class VehicleVo {
        /** 全部车辆 */
        private Integer allNum;

        /** 行驶中 */
        private Integer ridingNum;

        /** 临时锁车 */
        private Integer temporarilyLockNum;

        /** 已禁用 */
        private Integer disabledNum;

        /** 已离线 */
        private Integer offlineNum;

        /** 正常待租 */
        private Integer normalNum;

        /** 预约中 */
        private Integer inAppointmentNum;

        /** 调度设备 */
        private Integer dispatchNum;

        /** 仓库设备 */
        private Integer inStashNum;

        /** 运营中 */
        private Integer inOperation;
    }

    /**
     * 运维统计
     */
    @Data
    public static class OperationVo {
        /** 4g解锁失败 */
        private Integer failedUnlockCount=0;

        /** 4g解锁次数 */
        private Integer unlockCount=0;

        /** 蓝牙解锁数 */
        private Integer bluetoothUnlockCount=0;

        /** 设备离线率 */
        private BigDecimal deviceOfflineRate;

        /** 异常排查车辆  */
        private Integer faultOrderCount=0;

        /** 待换电 */
        private Integer replacementOrderCount=0;

        /** 待维修 */
        private Integer repairCount=0;

    }

//    /**
//     * 订单信息统计
//     */
//    @Data
//    public static class OrderFeeStatisticsVo {
//        /** 营收 */
//        private BigDecimal incomeFee = BigDecimal.ZERO;
//
//        /** 订单金额 */
//        private BigDecimal orderFee = BigDecimal.ZERO;
//
//        /** 订单数 */
//        private Integer orderCount = 0;
//    }


}
