package com.ruoyi.system.domain.vo;

import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * 首页统计响应
 *
 * @author 邱贞招
 * @date 2024-05-09
 */
@Data
public class IndexVo {

    /** 余额 */
    private BigDecimal balance = BigDecimal.ZERO;

    /** 已提现 */
    private BigDecimal withdraw = BigDecimal.ZERO;

    /** 待结算金额 */
    private BigDecimal settlementAmount = BigDecimal.ZERO;

    /** 今日营收 */
    private BigDecimal todayIncome= BigDecimal.ZERO;

    /** 今日订单金额 */
    private BigDecimal todayOrderFee= BigDecimal.ZERO;

    /** 今日订单数 */
    private Integer todayOrderCount=0;

    /** 总营收 */
    private BigDecimal totalIncome= BigDecimal.ZERO;

    /** 总订单数 */
    private Integer totalOrderCount=0;

    /** 总订单金额 */
    private BigDecimal totalOrderFee= BigDecimal.ZERO;

    /** 待付款订单数 */
    private Integer unpaidOrderCount=0;

    /** 待付款订单金额 */
    private BigDecimal unpaidOrderFee= BigDecimal.ZERO;

    /** 还车待审核订单 */
    private Integer returnOrderCount=0;

    /** 骑行中订单 */
    private Integer ridingOrder=0;

    /** 今日退款金额 */
    private BigDecimal todayRefundFee= BigDecimal.ZERO;

    /** 待审核故障 */
    private Integer faultOrderCount=0;

    /** 车辆统计 */
    private VehicleVo vehicleVo;

    /** 运维统计 */
    private OperationVo operationVo;

    /** 收入统计list */
    private List<IncomeVo> incomeVoList;

    /**
     * 收入统计  incomeVo
     */
    @Data
    public static class IncomeVo {
        /** 日期 */
        private String day;
        /** 收入 */
        private BigDecimal income;
        /** 订单数 */
        private Integer orderNum;
    }

    /**
     * 车辆统计
     */
    @Data
    public static class VehicleVo {
        /** 全部车辆 */
        private Integer allNum;

        /** 行驶中 */
        private Integer ridingNum;

        /** 临时锁车 */
        private Integer temporarilyLockNum;

        /** 已禁用 */
        private Integer disabledNum;

        /** 已离线 */
        private Integer offlineNum;

        /** 正常待租 */
        private Integer normalNum;

        /** 预约中 */
        private Integer inAppointmentNum;

        /** 调度设备 */
        private Integer dispatchNum;

        /** 仓库设备 */
        private Integer inStashNum;

        /** 运营中 */
        private Integer inOperation;
    }

    /**
     * 运维统计
     */
    @Data
    public static class OperationVo {
        /** 换电工单 */
        private Integer replacementOrderCount;

        /** 已完成换电 */
        private Integer completedReplacementOrderCount;

        /** 调度工单 */
        private Integer dispatchCount;

        /** 已完成调度工单 */
        private Integer completedDispatchCount;

        /** 维修工单 */
        private Integer repairCount;

        /** 已完成维修工单 */
        private Integer completedRepairCount;
    }

    /**
     * 订单信息统计
     */
    @Data
    public static class OrderFeeStatisticsVo {
        /** 营收 */
        private BigDecimal incomeFee = BigDecimal.ZERO;

        /** 订单金额 */
        private BigDecimal orderFee = BigDecimal.ZERO;

        /** 订单数 */
        private Integer orderCount = 0;
    }


}
