package com.ruoyi.system.domain.vo;

import lombok.Data;

import java.math.BigDecimal;

/**
 * 运营数据
 *
 * @author 邱贞招
 * @date 2024-05-09
 */
@Data
public class OperatingDataVo2 {

    private Income income;

    private OrderVo order;

    /**
     * 收入相关
     */
    @Data
    public static class Income {

        //营业收入
        private BigDecimal operatingIncome;

        //营业收入
        private BigDecimal operatingIncome2;

        //押金余额
        private BigDecimal depositBalance;

        //押金收入手续费
        private BigDecimal depositHandlingCharge;

        //账户盈余
        private BigDecimal accountSurplus;

        //总流水  = 订单金额 + 押金支付
        private BigDecimal totalFlowAmount;

        //订单支付  包含押金抵扣
        private BigDecimal orderPaid;

        //押金充值
        private BigDecimal depositPaid;

        //押金抵扣金额
        private BigDecimal deductionAmount;

        //主营业务成本
        private BigDecimal businessCost;



        //总支出
        private BigDecimal totalExpenditure;

        //订单退款
        private BigDecimal orderRefund;

        //押金退款
        private BigDecimal depositRefund;

        //手续费
        private BigDecimal handlingFee;

        //平台服务费
        private BigDecimal platformServiceFee;


    }

    /**
     * 订单相关
     */
    @Data
    public static class OrderVo {
        //骑行中订单
        private String ridingOrder;

        //已支付订单
        private String paidOrder;

        //已退款订单
        private String refundOrder;

        //待支付订单
        private String unpaidOrder;

    }

}
