package com.ruoyi.system.domain.vo;

import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * 对账数据
 *
 * @author 邱贞招
 * @date 2024-05-09
 */
@Data
public class ReconciliationVo {

    private List<Reconciliation> reconciliationList;

    //总支付金额
    private BigDecimal totalPayFee;

    //总退款金额
    private BigDecimal totalRefundFee;

    //总手续费
    private BigDecimal totalServiceFee;

    //总平台服务费额
    private BigDecimal totalPlatformServiceFee;

    //总收入
    private BigDecimal totalIncome;

    @Data
    public  static class Reconciliation {

        //日期 格式：yyyy-MM-dd
        private String day;

        //sn
        private String sn;

        //运营商名称dept
        private String deptName;

        //运营区名称
        private String areaName;

//        //累计营收
//        private BigDecimal cumulativeRevenue = BigDecimal.ZERO;

        // 运营商分账
        private BigDecimal deptFee = BigDecimal.ZERO;

        // 合伙人分账
        private BigDecimal partnerFee = BigDecimal.ZERO;

        // 平台服务费
        private BigDecimal platformServiceFee = BigDecimal.ZERO;

        // 骑行订单说明
        private String ridingFee;

        // 调度费说明
        private String dispatchFee;

        //支付金额  新增
        private BigDecimal payFee = BigDecimal.ZERO;

        //已退款  退款
        private BigDecimal refundFee= BigDecimal.ZERO;

        //手续费
        private BigDecimal serviceFee= BigDecimal.ZERO;

        //收入--营收
        private BigDecimal income= BigDecimal.ZERO;
    }
}
