package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.EtAdminOrder;
import org.apache.ibatis.annotations.Param;

/**
 * 换电工单Mapper接口
 *
 * @author 邱贞招
 * @date 2024-05-05
 */
public interface EtAdminOrderMapper
{
    /**
     * 查询换电工单
     *
     * @param id 换电工单主键
     * @return 换电工单
     */
    public EtAdminOrder selectEtAdminOrderById(Long id);

    /**
     * 查询换电工单列表
     *
     * @param etAdminOrder 换电工单
     * @return 换电工单集合
     */
    public List<EtAdminOrder> selectEtAdminOrderList(EtAdminOrder etAdminOrder);

    /**
     * 新增换电工单
     *
     * @param etAdminOrder 换电工单
     * @return 结果
     */
    public int insertEtAdminOrder(EtAdminOrder etAdminOrder);

    /**
     * 修改换电工单
     *
     * @param etAdminOrder 换电工单
     * @return 结果
     */
    public int updateEtAdminOrder(EtAdminOrder etAdminOrder);

    /**
     * 删除换电工单
     *
     * @param id 换电工单主键
     * @return 结果
     */
    public int deleteEtAdminOrderById(Long id);

    /**
     * 批量删除换电工单
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteEtAdminOrderByIds(Long[] ids);

    /**
     * 我的维修工单数
     *
     * @param etAdminOrder
     * @return 结果
     */
    Integer selectRepairNum(EtAdminOrder etAdminOrder);

    /**
     * 我的换电工单数
     *
     * @param etAdminOrder
     * @return 结果
     */
    Integer selectPowerReplacementNum(EtAdminOrder etAdminOrder);

    /**
     * 换电单是否唯一
     *
     * @param sn
     * @return 换电工单
     */
    public Integer checkOrderUnique(String sn);

    /**
     * 换电单状态统计
     *
     * @param status
     * @param areaId
     * @return 结果
     */
    int getOrderCount(@Param("type") String type,@Param("status") String status, @Param("areaId")Long areaId);
}
