package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.EtCallbackLog;

/**
 * 回调日志Mapper接口
 * 
 * @author 邱贞招
 * @date 2024-06-18
 */
public interface EtCallbackLogMapper 
{
    /**
     * 查询回调日志
     * 
     * @param id 回调日志主键
     * @return 回调日志
     */
    public EtCallbackLog selectEtCallbackLogById(Long id);

    /**
     * 查询回调日志列表
     * 
     * @param etCallbackLog 回调日志
     * @return 回调日志集合
     */
    public List<EtCallbackLog> selectEtCallbackLogList(EtCallbackLog etCallbackLog);

    /**
     * 新增回调日志
     * 
     * @param etCallbackLog 回调日志
     * @return 结果
     */
    public int insertEtCallbackLog(EtCallbackLog etCallbackLog);

    /**
     * 修改回调日志
     * 
     * @param etCallbackLog 回调日志
     * @return 结果
     */
    public int updateEtCallbackLog(EtCallbackLog etCallbackLog);

    /**
     * 删除回调日志
     * 
     * @param id 回调日志主键
     * @return 结果
     */
    public int deleteEtCallbackLogById(Long id);

    /**
     * 批量删除回调日志
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteEtCallbackLogByIds(Long[] ids);
}
