package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.EtHardwareVersion;

/**
 * 硬件版本Mapper接口
 *
 * @author qiuzhenzhao
 * @date 2024-07-22
 */
public interface EtHardwareVersionMapper
{
    /**
     * 查询硬件版本
     *
     * @param id 硬件版本主键
     * @return 硬件版本
     */
    public EtHardwareVersion selectEtHardwareVersionById(Long id);

    /**
     * 查询硬件版本列表
     *
     * @param etHardwareVersion 硬件版本
     * @return 硬件版本集合
     */
    public List<EtHardwareVersion> selectEtHardwareVersionList(EtHardwareVersion etHardwareVersion);

    /**
     * 查询硬件版本列表(排除父节点)
     *
     * @param etHardwareVersion 硬件版本
     * @return 硬件版本集合
     */
    public List<EtHardwareVersion> selectEtHardwareVersionListExclude(EtHardwareVersion etHardwareVersion);

    /**
     * 新增硬件版本
     *
     * @param etHardwareVersion 硬件版本
     * @return 结果
     */
    public int insertEtHardwareVersion(EtHardwareVersion etHardwareVersion);

    /**
     * 修改硬件版本
     *
     * @param etHardwareVersion 硬件版本
     * @return 结果
     */
    public int updateEtHardwareVersion(EtHardwareVersion etHardwareVersion);

    /**
     * 删除硬件版本
     *
     * @param id 硬件版本主键
     * @return 结果
     */
    public int deleteEtHardwareVersionById(Long id);

    /**
     * 批量删除硬件版本
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteEtHardwareVersionByIds(Long[] ids);

    /**
     * 查询子节点数量
     * @param id
     * @return
     */
    int countChildrenNum(Long id);
}
