package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.EtMsgLog;

/**
 * 短信日志Mapper接口
 * 
 * @author qiuzhenzhen
 * @date 2024-07-24
 */
public interface EtMsgLogMapper 
{
    /**
     * 查询短信日志
     * 
     * @param id 短信日志主键
     * @return 短信日志
     */
    public EtMsgLog selectEtMsgLogById(Long id);

    /**
     * 查询短信日志列表
     * 
     * @param etMsgLog 短信日志
     * @return 短信日志集合
     */
    public List<EtMsgLog> selectEtMsgLogList(EtMsgLog etMsgLog);

    /**
     * 新增短信日志
     * 
     * @param etMsgLog 短信日志
     * @return 结果
     */
    public int insertEtMsgLog(EtMsgLog etMsgLog);

    /**
     * 修改短信日志
     * 
     * @param etMsgLog 短信日志
     * @return 结果
     */
    public int updateEtMsgLog(EtMsgLog etMsgLog);

    /**
     * 删除短信日志
     * 
     * @param id 短信日志主键
     * @return 结果
     */
    public int deleteEtMsgLogById(Long id);

    /**
     * 批量删除短信日志
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteEtMsgLogByIds(Long[] ids);
}
