package com.ruoyi.system.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.system.domain.EtOperatingArea;
import org.apache.ibatis.annotations.Param;

/**
 * 运营区Mapper接口
 *
 * @author 邱贞招
 * @date 2024-04-06
 */
public interface EtOperatingAreaMapper extends BaseMapper<EtOperatingArea>
{
    /**
     * 查询运营区
     *
     * @param areaId 运营区主键
     * @return 运营区
     */
    public EtOperatingArea selectEtOperatingAreaByAreaId(Long areaId);

    /**
     * 查询运营区列表
     *
     * @param etOperatingArea 运营区
     * @return 运营区集合
     */
    public List<EtOperatingArea> selectEtOperatingAreaList(EtOperatingArea etOperatingArea);

    /**
     * 根据部门ID获取运营区选择框列表  运营商
     *
     * @param deptId 用户ID
     * @return 选中运营区ID列表
     */
    List<Long> selectAreaListByDeptId(Long deptId);

    /**
     * 根据部门ID获取运营区选择框列表  运营商
     *
     * @param deptId 用户ID
     * @return 选中运营区ID列表
     */
    List<EtOperatingArea> selectAreaListByDeptId2(@Param("deptId") Long deptId,@Param("areaId") Long areaId);
//
//    /**
//     * 新增运营区
//     *
//     * @param etOperatingArea 运营区
//     * @return 结果
//     */
//    public int insertEtOperatingArea(EtOperatingArea etOperatingArea);
//
//    /**
//     * 修改运营区
//     *
//     * @param etOperatingArea 运营区
//     * @return 结果
//     */
//    public int updateEtOperatingArea(EtOperatingArea etOperatingArea);
//
//    /**
//     * 删除运营区
//     *
//     * @param areaId 运营区主键
//     * @return 结果
//     */
//    public int deleteEtOperatingAreaByAreaId(Long areaId);
//
//    /**
//     * 批量删除运营区
//     *
//     * @param areaIds 需要删除的数据主键集合
//     * @return 结果
//     */
//    public int deleteEtOperatingAreaByAreaIds(Long[] areaIds);
//
//    /**
//     * 根据所有运营分区
//     *
//     * @return 运营分区集合信息
//     */
//    List<EtOperatingArea> selectAreaAll();
//
//    /**
//     * 根据运营区名称查询
//     *
//     * @param areaName 运营区名称
//     * @return 运营区信息
//     */
//    public EtOperatingArea checkAreaNameUnique(String areaName);
}
