package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.EtPowerReplacement;

/**
 * 换电工单Mapper接口
 *
 * @author 邱贞招
 * @date 2024-04-28
 */
public interface EtPowerReplacementMapper
{
    /**
     * 查询换电工单
     *
     * @param id 换电工单主键
     * @return 换电工单
     */
    public EtPowerReplacement selectEtPowerReplacementById(Long id);

    /**
     * 换电单是否唯一
     *
     * @param mac
     * @return 换电工单
     */
    public Integer checkOrderUnique(String mac);


    /**
     * 查询换电工单列表
     *
     * @param etPowerReplacement 换电工单
     * @return 换电工单集合
     */
    public List<EtPowerReplacement> selectEtPowerReplacementList(EtPowerReplacement etPowerReplacement);

    /**
     * 新增换电工单
     *
     * @param etPowerReplacement 换电工单
     * @return 结果
     */
    public int insertEtPowerReplacement(EtPowerReplacement etPowerReplacement);

    /**
     * 修改换电工单
     *
     * @param etPowerReplacement 换电工单
     * @return 结果
     */
    public int updateEtPowerReplacement(EtPowerReplacement etPowerReplacement);

    /**
     * 删除换电工单
     *
     * @param id 换电工单主键
     * @return 结果
     */
    public int deleteEtPowerReplacementById(Long id);

    /**
     * 批量删除换电工单
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteEtPowerReplacementByIds(Long[] ids);
}
