package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.EtAdminOrderHistory;

/**
 * 工单履历Service接口
 * 
 * @author 邱贞招
 * @date 2024-05-06
 */
public interface IEtAdminOrderHistoryService 
{
    /**
     * 查询工单履历
     * 
     * @param id 工单履历主键
     * @return 工单履历
     */
    public EtAdminOrderHistory selectEtAdminOrderHistoryById(Long id);

    /**
     * 查询工单履历列表
     * 
     * @param etAdminOrderHistory 工单履历
     * @return 工单履历集合
     */
    public List<EtAdminOrderHistory> selectEtAdminOrderHistoryList(EtAdminOrderHistory etAdminOrderHistory);

    /**
     * 新增工单履历
     * 
     * @param etAdminOrderHistory 工单履历
     * @return 结果
     */
    public int insertEtAdminOrderHistory(EtAdminOrderHistory etAdminOrderHistory);

    /**
     * 修改工单履历
     * 
     * @param etAdminOrderHistory 工单履历
     * @return 结果
     */
    public int updateEtAdminOrderHistory(EtAdminOrderHistory etAdminOrderHistory);

    /**
     * 批量删除工单履历
     * 
     * @param ids 需要删除的工单履历主键集合
     * @return 结果
     */
    public int deleteEtAdminOrderHistoryByIds(Long[] ids);

    /**
     * 删除工单履历信息
     * 
     * @param id 工单履历主键
     * @return 结果
     */
    public int deleteEtAdminOrderHistoryById(Long id);
}
