package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.EtAdminOrder;
import com.ruoyi.system.domain.vo.AdminOrderVo;

/**
 * 换电工单Service接口
 *
 * @author 邱贞招
 * @date 2024-05-05
 */
public interface IEtAdminOrderService
{
    /**
     * 查询换电工单
     *
     * @param id 换电工单主键
     * @return 换电工单
     */
    public EtAdminOrder selectEtAdminOrderById(Long id);

    /**
     * 查询换电工单列表
     *
     * @param etAdminOrder 换电工单
     * @return 换电工单集合
     */
    public List<EtAdminOrder> selectEtAdminOrderList(EtAdminOrder etAdminOrder);

    /**
     * 新增换电工单
     *
     * @param etAdminOrder 换电工单
     * @return 结果
     */
    public int insertEtAdminOrder(EtAdminOrder etAdminOrder);

    /**
     * 修改换电工单
     *
     * @param etAdminOrder 换电工单
     * @return 结果
     */
    public int updateEtAdminOrder(EtAdminOrder etAdminOrder);

    /**
     * 批量删除换电工单
     *
     * @param ids 需要删除的换电工单主键集合
     * @return 结果
     */
    public int deleteEtAdminOrderByIds(Long[] ids);

    /**
     * 删除换电工单信息
     *
     * @param id 换电工单主键
     * @return 结果
     */
    public int deleteEtAdminOrderById(Long id);

    /**
     * 我的工单数
     */
    public AdminOrderVo selectEtAdminOrderNum(EtAdminOrder etAdminOrder);

    /**
     * 该sn是否有换电单
     * @param sn
     * @return
     */
    Boolean checkOrderUnique(String sn);

    /**
     * 维修处理
     *
     * @param etAdminOrder 换电工单
     * @return 结果
     */
    public int repairHandle(EtAdminOrder etAdminOrder);
}
