package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.EtCommandLog;

/**
 * 命令日志Service接口
 * 
 * @author 邱贞招
 * @date 2024-07-06
 */
public interface IEtCommandLogService 
{
    /**
     * 查询命令日志
     * 
     * @param id 命令日志主键
     * @return 命令日志
     */
    public EtCommandLog selectEtCommandLogById(Long id);

    /**
     * 查询命令日志列表
     * 
     * @param etCommandLog 命令日志
     * @return 命令日志集合
     */
    public List<EtCommandLog> selectEtCommandLogList(EtCommandLog etCommandLog);

    /**
     * 新增命令日志
     * 
     * @param etCommandLog 命令日志
     * @return 结果
     */
    public int insertEtCommandLog(EtCommandLog etCommandLog);

    /**
     * 修改命令日志
     * 
     * @param etCommandLog 命令日志
     * @return 结果
     */
    public int updateEtCommandLog(EtCommandLog etCommandLog);

    /**
     * 批量删除命令日志
     * 
     * @param ids 需要删除的命令日志主键集合
     * @return 结果
     */
    public int deleteEtCommandLogByIds(Long[] ids);

    /**
     * 删除命令日志信息
     * 
     * @param id 命令日志主键
     * @return 结果
     */
    public int deleteEtCommandLogById(Long id);
}
