package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.EtCouponUserLog;

/**
 * 优惠券领取记录Service接口
 *
 * @author qzz
 * @date 2024-08-08
 */
public interface IEtCouponClaimLogService
{
    /**
     * 查询优惠券领取记录
     *
     * @param claimId 优惠券领取记录主键
     * @return 优惠券领取记录
     */
    public EtCouponUserLog selectEtCouponClaimLogByLogId(Long claimId);

    /**
     * 查询优惠券领取记录列表
     *
     * @param etCouponUserLog 优惠券领取记录
     * @return 优惠券领取记录集合
     */
    public List<EtCouponUserLog> selectEtCouponClaimLogList(EtCouponUserLog etCouponUserLog);

    /**
     * 新增优惠券领取记录
     *
     * @param etCouponUserLog 优惠券领取记录
     * @return 结果
     */
    public int insertEtCouponClaimLog(EtCouponUserLog etCouponUserLog);

    /**
     * 修改优惠券领取记录
     *
     * @param etCouponUserLog 优惠券领取记录
     * @return 结果
     */
    public int updateEtCouponClaimLog(EtCouponUserLog etCouponUserLog);

    /**
     * 批量删除优惠券领取记录
     *
     * @param claimIds 需要删除的优惠券领取记录主键集合
     * @return 结果
     */
    public int deleteEtCouponClaimLogByLogIds(Long[] claimIds);

    /**
     * 删除优惠券领取记录信息
     *
     * @param claimId 优惠券领取记录主键
     * @return 结果
     */
    public int deleteEtCouponClaimLogByLogId(Long claimId);

    /**
     * 我的骑行卡(未使用和已过期)
     */
    List<EtCouponUserLog> selectCouponListByUserId(Long userId);
}
