package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.EtFault;

/**
 * 故障上报Service接口
 *
 * @author 邱贞招
 * @date 2024-04-06
 */
public interface IEtFaultService
{
    /**
     * 查询故障上报
     *
     * @param faultId 故障上报主键
     * @return 故障上报
     */
    public EtFault selectEtFaultByFaultId(Long faultId);

    /**
     * 查询故障上报列表
     *
     * @param etFault 故障上报
     * @return 故障上报集合
     */
    public List<EtFault> selectEtFaultList(EtFault etFault);

    /**
     * 新增故障上报
     *
     * @param etFault 故障上报
     * @return 结果
     */
    public int insertEtFault(EtFault etFault);

    /**
     * 修改故障上报
     *
     * @param etFault 故障上报
     * @return 结果
     */
    public int updateEtFault(EtFault etFault);

    /**
     * 批量删除故障上报
     *
     * @param faultIds 需要删除的故障上报主键集合
     * @return 结果
     */
    public int deleteEtFaultByFaultIds(Long[] faultIds);

    /**
     * 删除故障上报信息
     *
     * @param faultId 故障上报主键
     * @return 结果
     */
    public int deleteEtFaultByFaultId(Long faultId);

    /**
     * 设置故障上报类型
     *
     * @param etFault 故障对象
     * @return 结果
     */
    public void showType(EtFault etFault);
}
