package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.EtModel;

/**
 * 车辆型号Service接口
 *
 * @author 邱贞招
 * @date 2024-05-13
 */
public interface IEtModelService
{
    /**
     * 查询车辆型号
     *
     * @param modelId 车辆型号主键
     * @return 车辆型号
     */
    public EtModel selectEtModelByModelId(Long modelId);

    /**
     * 查询车辆型号列表
     *
     * @param etModel 车辆型号
     * @return 车辆型号集合
     */
    public List<EtModel> selectEtModelList(EtModel etModel);

    /**
     * 新增车辆型号
     *
     * @param etModel 车辆型号
     * @return 结果
     */
    public int insertEtModel(EtModel etModel);

    /**
     * 修改车辆型号
     *
     * @param etModel 车辆型号
     * @return 结果
     */
    public int updateEtModel(EtModel etModel);

    /**
     * 批量删除车辆型号
     *
     * @param modelIds 需要删除的车辆型号主键集合
     * @return 结果
     */
    public int deleteEtModelByModelIds(Long[] modelIds);

    /**
     * 删除车辆型号信息
     *
     * @param modelId 车辆型号主键
     * @return 结果
     */
    public int deleteEtModelByModelId(Long modelId);

    /**
     * 查询所有车辆型号数
     * @return
     */
    public int selectAllCount();
}
