package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.EtOnlineLog;

/**
 * 在线/离线日志Service接口
 * 
 * @author 邱贞招
 * @date 2024-07-13
 */
public interface IEtOnlineLogService 
{
    /**
     * 查询在线/离线日志
     * 
     * @param id 在线/离线日志主键
     * @return 在线/离线日志
     */
    public EtOnlineLog selectEtOnlineLogById(Long id);

    /**
     * 查询在线/离线日志列表
     * 
     * @param etOnlineLog 在线/离线日志
     * @return 在线/离线日志集合
     */
    public List<EtOnlineLog> selectEtOnlineLogList(EtOnlineLog etOnlineLog);

    /**
     * 新增在线/离线日志
     * 
     * @param etOnlineLog 在线/离线日志
     * @return 结果
     */
    public int insertEtOnlineLog(EtOnlineLog etOnlineLog);

    /**
     * 修改在线/离线日志
     * 
     * @param etOnlineLog 在线/离线日志
     * @return 结果
     */
    public int updateEtOnlineLog(EtOnlineLog etOnlineLog);

    /**
     * 批量删除在线/离线日志
     * 
     * @param ids 需要删除的在线/离线日志主键集合
     * @return 结果
     */
    public int deleteEtOnlineLogByIds(Long[] ids);

    /**
     * 删除在线/离线日志信息
     * 
     * @param id 在线/离线日志主键
     * @return 结果
     */
    public int deleteEtOnlineLogById(Long id);
}
