package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.EtSoftwareVersion;

/**
 * 软件版本Service接口
 * 
 * @author qiuzhenzhao
 * @date 2024-07-22
 */
public interface IEtSoftwareVersionService 
{
    /**
     * 查询软件版本
     * 
     * @param id 软件版本主键
     * @return 软件版本
     */
    public EtSoftwareVersion selectEtSoftwareVersionById(Long id);

    /**
     * 查询软件版本列表
     * 
     * @param etSoftwareVersion 软件版本
     * @return 软件版本集合
     */
    public List<EtSoftwareVersion> selectEtSoftwareVersionList(EtSoftwareVersion etSoftwareVersion);

    /**
     * 新增软件版本
     * 
     * @param etSoftwareVersion 软件版本
     * @return 结果
     */
    public int insertEtSoftwareVersion(EtSoftwareVersion etSoftwareVersion);

    /**
     * 修改软件版本
     * 
     * @param etSoftwareVersion 软件版本
     * @return 结果
     */
    public int updateEtSoftwareVersion(EtSoftwareVersion etSoftwareVersion);

    /**
     * 批量删除软件版本
     * 
     * @param ids 需要删除的软件版本主键集合
     * @return 结果
     */
    public int deleteEtSoftwareVersionByIds(Long[] ids);

    /**
     * 删除软件版本信息
     * 
     * @param id 软件版本主键
     * @return 结果
     */
    public int deleteEtSoftwareVersionById(Long id);
}
