package com.ruoyi.system.service;

import java.util.List;
import com.ruoyi.system.domain.EtWithdraw;

/**
 * 提现记录Service接口
 * 
 * @author 邱贞招
 * @date 2024-06-27
 */
public interface IEtWithdrawService 
{
    /**
     * 查询提现记录
     * 
     * @param id 提现记录主键
     * @return 提现记录
     */
    public EtWithdraw selectEtWithdrawById(Long id);

    /**
     * 查询提现记录列表
     * 
     * @param etWithdraw 提现记录
     * @return 提现记录集合
     */
    public List<EtWithdraw> selectEtWithdrawList(EtWithdraw etWithdraw);

    /**
     * 新增提现记录
     * 
     * @param etWithdraw 提现记录
     * @return 结果
     */
    public int insertEtWithdraw(EtWithdraw etWithdraw);

    /**
     * 修改提现记录
     * 
     * @param etWithdraw 提现记录
     * @return 结果
     */
    public int updateEtWithdraw(EtWithdraw etWithdraw);

    /**
     * 批量删除提现记录
     * 
     * @param ids 需要删除的提现记录主键集合
     * @return 结果
     */
    public int deleteEtWithdrawByIds(Long[] ids);

    /**
     * 删除提现记录信息
     * 
     * @param id 提现记录主键
     * @return 结果
     */
    public int deleteEtWithdrawById(Long id);
}
