package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.EtAdminOrderHistoryMapper;
import com.ruoyi.system.domain.EtAdminOrderHistory;
import com.ruoyi.system.service.IEtAdminOrderHistoryService;

/**
 * 工单履历Service业务层处理
 * 
 * @author 邱贞招
 * @date 2024-05-06
 */
@Service
public class EtAdminOrderHistoryServiceImpl implements IEtAdminOrderHistoryService 
{
    @Autowired
    private EtAdminOrderHistoryMapper etAdminOrderHistoryMapper;

    /**
     * 查询工单履历
     * 
     * @param id 工单履历主键
     * @return 工单履历
     */
    @Override
    public EtAdminOrderHistory selectEtAdminOrderHistoryById(Long id)
    {
        return etAdminOrderHistoryMapper.selectEtAdminOrderHistoryById(id);
    }

    /**
     * 查询工单履历列表
     * 
     * @param etAdminOrderHistory 工单履历
     * @return 工单履历
     */
    @Override
    public List<EtAdminOrderHistory> selectEtAdminOrderHistoryList(EtAdminOrderHistory etAdminOrderHistory)
    {
        return etAdminOrderHistoryMapper.selectEtAdminOrderHistoryList(etAdminOrderHistory);
    }

    /**
     * 新增工单履历
     * 
     * @param etAdminOrderHistory 工单履历
     * @return 结果
     */
    @Override
    public int insertEtAdminOrderHistory(EtAdminOrderHistory etAdminOrderHistory)
    {
        etAdminOrderHistory.setCreateTime(DateUtils.getNowDate());
        return etAdminOrderHistoryMapper.insertEtAdminOrderHistory(etAdminOrderHistory);
    }

    /**
     * 修改工单履历
     * 
     * @param etAdminOrderHistory 工单履历
     * @return 结果
     */
    @Override
    public int updateEtAdminOrderHistory(EtAdminOrderHistory etAdminOrderHistory)
    {
        return etAdminOrderHistoryMapper.updateEtAdminOrderHistory(etAdminOrderHistory);
    }

    /**
     * 批量删除工单履历
     * 
     * @param ids 需要删除的工单履历主键
     * @return 结果
     */
    @Override
    public int deleteEtAdminOrderHistoryByIds(Long[] ids)
    {
        return etAdminOrderHistoryMapper.deleteEtAdminOrderHistoryByIds(ids);
    }

    /**
     * 删除工单履历信息
     * 
     * @param id 工单履历主键
     * @return 结果
     */
    @Override
    public int deleteEtAdminOrderHistoryById(Long id)
    {
        return etAdminOrderHistoryMapper.deleteEtAdminOrderHistoryById(id);
    }
}
