package com.ruoyi.system.service.impl;

import com.ruoyi.system.domain.ChannelWithdraw;
import com.ruoyi.system.domain.ChannelWithdrawQuery;
import com.ruoyi.system.domain.ChannelWithdrawVO;
import com.ruoyi.system.mapper.EtChannelWithdrawMapper;
import com.ruoyi.system.service.EtChannelWithdrawService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 提现渠道Service业务层处理
 *
 * @author ruoyi
 * @date 2024-08-02
 */
@Service
public class EtChannelWithdrawServiceImpl implements EtChannelWithdrawService
{
    @Resource
    private EtChannelWithdrawMapper etChannelWithdrawMapper;

//    @Autowired
//    private AccountService accountService;

    /**
     * 查询提现渠道
     *
     * @param channelId 提现渠道主键
     * @return 提现渠道
     */
    @Override
    public ChannelWithdrawVO selectChannelWithdrawByChannelId(Long channelId)
    {
        return etChannelWithdrawMapper.selectChannelWithdrawByChannelId(channelId);
    }

    /**
     * 查询提现渠道列表
     *
     * @param channelWithdraw 提现渠道
     * @return 提现渠道
     */
    @Override
    public List<ChannelWithdrawVO> selectChannelWithdrawList(ChannelWithdrawQuery channelWithdraw)
    {
        return etChannelWithdrawMapper.selectChannelWithdrawList(channelWithdraw);
    }

    /**
     * 新增提现渠道
     *
     * @param channelWithdraw 提现渠道
     * @return 结果
     */
    @Override
    public int insertChannelWithdraw(ChannelWithdraw channelWithdraw)
    {
        return etChannelWithdrawMapper.insertChannelWithdraw(channelWithdraw);
    }

    /**
     * 修改提现渠道
     *
     * @param channelWithdraw 提现渠道
     * @return 结果
     */
    @Override
    public int updateChannelWithdraw(ChannelWithdraw channelWithdraw)
    {
        return etChannelWithdrawMapper.updateChannelWithdraw(channelWithdraw);
    }

    /**
     * 批量删除提现渠道
     *
     * @param channelIds 需要删除的提现渠道主键
     * @return 结果
     */
    @Override
    public int deleteChannelWithdrawByChannelIds(Long[] channelIds)
    {
        return etChannelWithdrawMapper.deleteChannelWithdrawByChannelIds(channelIds);
    }

    /**
     * 删除提现渠道信息
     *
     * @param channelId 提现渠道主键
     * @return 结果
     */
    @Override
    public int deleteChannelWithdrawByChannelId(Long channelId)
    {
        return etChannelWithdrawMapper.deleteChannelWithdrawByChannelId(channelId);
    }

    @Override
    public List<ChannelWithdrawVO> selectEnabledList(Long userId) {
        // 查询用户账户列表
//        List<AccountVO> accountList = accountService.selectByUserId(userId);
//        if (CollectionUtils.isEmptyElement(accountList)) {
//            return Collections.emptyList();
//        }
        // 查询渠道列表
//        ChannelWithdrawQuery query = new ChannelWithdrawQuery();
//        query.setAccountTypes(CollectionUtils.map(accountList, AccountVO::getAccountType));
//        query.setEnabled(true);
//        return this.selectChannelWithdrawList(query);
        return null;
    }
}
