package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.EtCommandLogMapper;
import com.ruoyi.system.domain.EtCommandLog;
import com.ruoyi.system.service.IEtCommandLogService;

/**
 * 命令日志Service业务层处理
 * 
 * @author 邱贞招
 * @date 2024-07-06
 */
@Service
public class EtCommandLogServiceImpl implements IEtCommandLogService 
{
    @Autowired
    private EtCommandLogMapper etCommandLogMapper;

    /**
     * 查询命令日志
     * 
     * @param id 命令日志主键
     * @return 命令日志
     */
    @Override
    public EtCommandLog selectEtCommandLogById(Long id)
    {
        return etCommandLogMapper.selectEtCommandLogById(id);
    }

    /**
     * 查询命令日志列表
     * 
     * @param etCommandLog 命令日志
     * @return 命令日志
     */
    @Override
    public List<EtCommandLog> selectEtCommandLogList(EtCommandLog etCommandLog)
    {
        return etCommandLogMapper.selectEtCommandLogList(etCommandLog);
    }

    /**
     * 新增命令日志
     * 
     * @param etCommandLog 命令日志
     * @return 结果
     */
    @Override
    public int insertEtCommandLog(EtCommandLog etCommandLog)
    {
        return etCommandLogMapper.insertEtCommandLog(etCommandLog);
    }

    /**
     * 修改命令日志
     * 
     * @param etCommandLog 命令日志
     * @return 结果
     */
    @Override
    public int updateEtCommandLog(EtCommandLog etCommandLog)
    {
        return etCommandLogMapper.updateEtCommandLog(etCommandLog);
    }

    /**
     * 批量删除命令日志
     * 
     * @param ids 需要删除的命令日志主键
     * @return 结果
     */
    @Override
    public int deleteEtCommandLogByIds(Long[] ids)
    {
        return etCommandLogMapper.deleteEtCommandLogByIds(ids);
    }

    /**
     * 删除命令日志信息
     * 
     * @param id 命令日志主键
     * @return 结果
     */
    @Override
    public int deleteEtCommandLogById(Long id)
    {
        return etCommandLogMapper.deleteEtCommandLogById(id);
    }
}
