package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.EtLocationLogMapper;
import com.ruoyi.system.domain.EtLocationLog;
import com.ruoyi.system.service.IEtLocationLogService;

/**
 * 定位日志Service业务层处理
 * 
 * @author ruoyi
 * @date 2024-08-20
 */
@Service
public class EtLocationLogServiceImpl implements IEtLocationLogService 
{
    @Autowired
    private EtLocationLogMapper etLocationLogMapper;

    /**
     * 查询定位日志
     * 
     * @param locationId 定位日志主键
     * @return 定位日志
     */
    @Override
    public EtLocationLog selectEtLocationLogByLocationId(Long locationId)
    {
        return etLocationLogMapper.selectEtLocationLogByLocationId(locationId);
    }

    /**
     * 查询定位日志列表
     * 
     * @param etLocationLog 定位日志
     * @return 定位日志
     */
    @Override
    public List<EtLocationLog> selectEtLocationLogList(EtLocationLog etLocationLog)
    {
        return etLocationLogMapper.selectEtLocationLogList(etLocationLog);
    }

    /**
     * 新增定位日志
     * 
     * @param etLocationLog 定位日志
     * @return 结果
     */
    @Override
    public int insertEtLocationLog(EtLocationLog etLocationLog)
    {
        etLocationLog.setCreateTime(DateUtils.getNowDate());
        return etLocationLogMapper.insertEtLocationLog(etLocationLog);
    }

    /**
     * 修改定位日志
     * 
     * @param etLocationLog 定位日志
     * @return 结果
     */
    @Override
    public int updateEtLocationLog(EtLocationLog etLocationLog)
    {
        return etLocationLogMapper.updateEtLocationLog(etLocationLog);
    }

    /**
     * 批量删除定位日志
     * 
     * @param locationIds 需要删除的定位日志主键
     * @return 结果
     */
    @Override
    public int deleteEtLocationLogByLocationIds(Long[] locationIds)
    {
        return etLocationLogMapper.deleteEtLocationLogByLocationIds(locationIds);
    }

    /**
     * 删除定位日志信息
     * 
     * @param locationId 定位日志主键
     * @return 结果
     */
    @Override
    public int deleteEtLocationLogByLocationId(Long locationId)
    {
        return etLocationLogMapper.deleteEtLocationLogByLocationId(locationId);
    }
}
