package com.ruoyi.system.service.impl;

import java.util.List;
import com.ruoyi.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.EtMsgLogMapper;
import com.ruoyi.system.domain.EtMsgLog;
import com.ruoyi.system.service.IEtMsgLogService;

/**
 * 短信日志Service业务层处理
 * 
 * @author qiuzhenzhen
 * @date 2024-07-24
 */
@Service
public class EtMsgLogServiceImpl implements IEtMsgLogService 
{
    @Autowired
    private EtMsgLogMapper etMsgLogMapper;

    /**
     * 查询短信日志
     * 
     * @param id 短信日志主键
     * @return 短信日志
     */
    @Override
    public EtMsgLog selectEtMsgLogById(Long id)
    {
        return etMsgLogMapper.selectEtMsgLogById(id);
    }

    /**
     * 查询短信日志列表
     * 
     * @param etMsgLog 短信日志
     * @return 短信日志
     */
    @Override
    public List<EtMsgLog> selectEtMsgLogList(EtMsgLog etMsgLog)
    {
        return etMsgLogMapper.selectEtMsgLogList(etMsgLog);
    }

    /**
     * 新增短信日志
     * 
     * @param etMsgLog 短信日志
     * @return 结果
     */
    @Override
    public int insertEtMsgLog(EtMsgLog etMsgLog)
    {
        etMsgLog.setCreateTime(DateUtils.getNowDate());
        return etMsgLogMapper.insertEtMsgLog(etMsgLog);
    }

    /**
     * 修改短信日志
     * 
     * @param etMsgLog 短信日志
     * @return 结果
     */
    @Override
    public int updateEtMsgLog(EtMsgLog etMsgLog)
    {
        return etMsgLogMapper.updateEtMsgLog(etMsgLog);
    }

    /**
     * 批量删除短信日志
     * 
     * @param ids 需要删除的短信日志主键
     * @return 结果
     */
    @Override
    public int deleteEtMsgLogByIds(Long[] ids)
    {
        return etMsgLogMapper.deleteEtMsgLogByIds(ids);
    }

    /**
     * 删除短信日志信息
     * 
     * @param id 短信日志主键
     * @return 结果
     */
    @Override
    public int deleteEtMsgLogById(Long id)
    {
        return etMsgLogMapper.deleteEtMsgLogById(id);
    }
}
